org.apache.ivy.osgi.obr.xml

## Class Requirement

- java.lang.Object
- - org.apache.ivy.osgi.obr.xml.Requirement

    public class Requirement
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Requirement(java.lang.String name, OSGiFilter filter)`

### Method Summary

Methods
`OSGiFilter` `getFilter()`
`java.lang.String` `getName()`
`boolean` `isMultiple()`
`boolean` `isOptional()`
`void` `setMultiple(boolean multiple)`
`void` `setOptional(boolean optional)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Requirement

    public Requirement(java.lang.String name,
               OSGiFilter filter)

### Method Detail

#### getName

    public java.lang.String getName()

#### getFilter

    public OSGiFilter getFilter()

#### setOptional

    public void setOptional(boolean optional)

#### isOptional

    public boolean isOptional()

#### setMultiple

    public void setMultiple(boolean multiple)

#### isMultiple

    public boolean isMultiple()